Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class FanRouter

    java.lang.Object
      org.eclipse.draw2d.AbstractRouter
          org.eclipse.draw2d.AutomaticRouter
              org.eclipse.draw2d.FanRouter

All Implemented Interfaces:
  ConnectionRouter

public class FanRouter
extends AutomaticRouter

Automatic router that spreads its `Connections` in a fan-like fashion upon collision.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.ConnectionRouter
`ConnectionRouter.NullConnectionRouter`

Field Summary

Fields inherited from interface org.eclipse.draw2d.ConnectionRouter
`NULL`

Constructor Summary
`FanRouter()`

Method Summary
`int` `getSeparation()` Returns the separation in pixels between fanned connections.
`protected void` `handleCollision(PointList points, int index)` Modifies a given PointList that collides with some other PointList.
`void` `setSeparation(int value)` Sets the colliding `Connection's` separation in pixels.

Methods inherited from class org.eclipse.draw2d.AutomaticRouter
`getConstraint, invalidate, next, remove, route, setConstraint, setEndPoints, setNextRouter`

Methods inherited from class org.eclipse.draw2d.AbstractRouter
`getEndPoint, getStartPoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FanRouter

    public FanRouter()

Method Detail

### getSeparation

    public int getSeparation()

  Returns the separation in pixels between fanned connections.

  Returns:
    the separation
  Since:
    2.0

### handleCollision

    protected void handleCollision(PointList points,
                                   int index)

  Modifies a given PointList that collides with some other PointList. The given index indicates that this it the ith PointList in a group of colliding points.

  Specified by:
    `handleCollision` in class `AutomaticRouter`
  Parameters:
    `points` - the colliding points
    `index` - the index

### setSeparation

    public void setSeparation(int value)

  Sets the colliding `Connection's` separation in pixels.

  Parameters:
    `value` - the separation
  Since:
    2.0

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.